Get Request Logs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v1.1/request/logs?format=json&start_date=2025-09-20&end_date=2026-10-07&type=GOODWILL&base_type=points' \
--header 'Authorization: Basic bWFkazI3MjU2YQ==' \
--header 'Cookie: _cfuvid=zP64VTj6GdUFYZ2gjEkFMJ0lr.yGY2xiKhDjAViECSE-1772457459807-0.0.1.1-604800000'

Query parameter

ParameterDatatypeMandatoryDescription
typeenumyesFilters requests of a specific type. Supported values: CHANGE_IDENTIFIER, GOODWILL, TRANSACTION_UPDATE.
base_typeenumyesSubtype of the specified type. Supported values: EMAIL, MOBILE, EXTERNAL_ID, MERGE, ADDRESS, COUPON, POINTS, TIER, RETRO.
start_datestringyesStart date used to filter requests. Supported format: YYY-MM-DD
end_datestringyesEnd date used to filter requests. Supported format: YYY-MM-DD
sourcestringnoSource from which the request was raised.
statusenumnoFilters requests by request status.
Supported values: APPROVED, PENDING, REJECTED, CUSTOM.
limitintegernoLimits the number of results per page. For example, limit=10 shows 10 results per page on the UI.
The default value is 50.
offsetintegernoNumber of records to skip for pagination. Default value is 0.
mobilestringnoThe mobile number of the customer to get requests from a specific customer.

Example response

{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "SUCCESS"
        },
        "requests": {
            "count": "38",
            "rows": 10,
            "goodwill": [
                {
                    "id": "32628415",
                    "customer": {
                        "firstname": "John",
                        "lastname": "Pork",
                        "email": "[email protected]",
                        "mobile": "918088369835",
                        "external_id": "696969",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "Issue Goodwill 30 points from API",
                    "comments": "API Service request - Awarding 30 points from API.",
                    "updated_comments": "Approving 30 points from API",
                    "one_step_change": "false",
                    "points": "30",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "madhu_rima",
                                "name": "madhurima"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2026-03-02T19:04:45+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": "george.docdemo",
                                "mobile": null,
                                "email": null
                            },
                            "ip": null,
                            "time": "2026-03-02T13:36:49+00:00"
                        }
                    }
                },
                {
                    "id": "17729827",
                    "customer": {
                        "firstname": "John",
                        "lastname": "Pork",
                        "email": "[email protected]",
                        "mobile": "918088369835",
                        "external_id": "696969",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "GoodGuy",
                    "comments": "Good behaviour",
                    "updated_comments": "Good behaviour; AUTO_APPROVED",
                    "one_step_change": "true",
                    "points": "100",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "1746689082_",
                                "name": "Naman"
                            },
                            "store": {
                                "code": null,
                                "name": null
                            },
                            "time": "2026-02-10T20:25:58+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": " Naman Ganapathi",
                                "mobile": "",
                                "email": "[email protected]"
                            },
                            "ip": null,
                            "time": "2026-02-10T14:55:59+00:00"
                        }
                    }
                },
                {
                    "id": "13675914",
                    "customer": {
                        "firstname": "TestUser",
                        "lastname": "TJThree",
                        "email": "[email protected]",
                        "mobile": "919999988883",
                        "external_id": "0000011113",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "PENDING",
                    "reason": "Goodwill reason v2 1",
                    "comments": "Goodwill comment v2 1",
                    "updated_comments": null,
                    "one_step_change": "false",
                    "points": "105",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "tj_capillary",
                                "name": "tj_capillary"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2026-01-21T16:18:29+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": "tj_capillary",
                                "mobile": null,
                                "email": null
                            },
                            "ip": null,
                            "time": "2026-01-21T10:48:30+00:00"
                        }
                    }
                },
                {
                    "id": "13657196",
                    "customer": {
                        "firstname": "Bubalus",
                        "lastname": "bubalis",
                        "email": "[email protected]",
                        "mobile": "1234123412",
                        "external_id": "12341234",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "PENDING",
                    "reason": "POINTS_ISSUE",
                    "comments": "Test issue 50 pts.",
                    "updated_comments": null,
                    "one_step_change": "false",
                    "points": "50",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "george.docdemo",
                                "name": "george.docdemo"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2025-12-28T11:11:21+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": "george.docdemo",
                                "mobile": null,
                                "email": null
                            },
                            "ip": null,
                            "time": "2025-12-28T05:41:22+00:00"
                        }
                    }
                },
                {
                    "id": "13638222",
                    "customer": {
                        "firstname": "John",
                        "lastname": "Pork",
                        "email": "[email protected]",
                        "mobile": "918088369835",
                        "external_id": "696969",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "New",
                    "comments": "d",
                    "updated_comments": "d; AUTO_APPROVED",
                    "one_step_change": "true",
                    "points": "1000000",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "1755508315203_",
                                "name": "1755508314_george"
                            },
                            "store": {
                                "code": null,
                                "name": null
                            },
                            "time": "2025-12-03T12:16:59+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": " george ",
                                "mobile": "",
                                "email": "[email protected]"
                            },
                            "ip": null,
                            "time": "2025-12-03T06:46:59+00:00"
                        }
                    }
                },
                {
                    "id": "13628608",
                    "customer": {
                        "firstname": "NeerajV2",
                        "lastname": "test",
                        "email": "[email protected]",
                        "mobile": null,
                        "external_id": "008",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "New",
                    "comments": "wfef",
                    "updated_comments": "wfef; AUTO_APPROVED",
                    "one_step_change": "true",
                    "points": "1000000",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "1755508315203_",
                                "name": "1755508314_george"
                            },
                            "store": {
                                "code": null,
                                "name": null
                            },
                            "time": "2025-11-20T11:54:14+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": " george ",
                                "mobile": "",
                                "email": "[email protected]"
                            },
                            "ip": null,
                            "time": "2025-11-20T06:24:14+00:00"
                        }
                    }
                },
                {
                    "id": "13615199",
                    "customer": {
                        "firstname": "Satish",
                        "lastname": "Customer1515 LN",
                        "email": "[email protected]",
                        "mobile": "2118201115",
                        "external_id": "extid15",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "GoodGuy",
                    "comments": "Adding 10 points",
                    "updated_comments": "Adding 10 points; AUTO_APPROVED",
                    "one_step_change": "true",
                    "points": "10",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "1736162491_",
                                "name": "1736162491_satish"
                            },
                            "store": {
                                "code": null,
                                "name": null
                            },
                            "time": "2025-11-04T14:38:52+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": " satish maharana",
                                "mobile": "",
                                "email": "[email protected]"
                            },
                            "ip": null,
                            "time": "2025-11-04T09:08:53+00:00"
                        }
                    }
                },
                {
                    "id": "13615171",
                    "customer": {
                        "firstname": "TestUser",
                        "lastname": "TJThree",
                        "email": "[email protected]",
                        "mobile": "919999988883",
                        "external_id": "0000011113",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "APPROVED",
                    "reason": "Goodwill reason v2 1",
                    "comments": "Goodwill comment v2 1",
                    "updated_comments": "",
                    "one_step_change": "false",
                    "points": "105",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "tj_capillary",
                                "name": "tj_capillary"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2025-11-04T14:27:02+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": " george ",
                                "mobile": "",
                                "email": "[email protected]"
                            },
                            "ip": "172.68.147.197",
                            "time": "2025-11-27T11:26:41+00:00"
                        }
                    }
                },
                {
                    "id": "13615170",
                    "customer": {
                        "firstname": "uat_request",
                        "lastname": "user1",
                        "email": "[email protected]",
                        "mobile": "2118201116",
                        "external_id": "2118201",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "PENDING",
                    "reason": "Goodwill reason v2 1",
                    "comments": "Goodwill comment v2 1",
                    "updated_comments": null,
                    "one_step_change": "false",
                    "points": "101",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "tj_capillary",
                                "name": "tj_capillary"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2025-11-04T14:26:10+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": "tj_capillary",
                                "mobile": null,
                                "email": null
                            },
                            "ip": null,
                            "time": "2025-11-04T08:56:11+00:00"
                        }
                    }
                },
                {
                    "id": "13615168",
                    "customer": {
                        "firstname": "uat_request",
                        "lastname": "user1",
                        "email": "[email protected]",
                        "mobile": "2118201116",
                        "external_id": "2118201",
                        "fraud_status": "NONE"
                    },
                    "type": "GOODWILL",
                    "base_type": "POINTS",
                    "status": "PENDING",
                    "reason": "Goodwill reason v2 1",
                    "comments": "Goodwill comment v2 1",
                    "updated_comments": null,
                    "one_step_change": "false",
                    "points": "101",
                    "logs": {
                        "added_by": {
                            "till": {
                                "code": "tj_capillary",
                                "name": "tj_capillary"
                            },
                            "store": {
                                "code": "doc123",
                                "name": "DocStore"
                            },
                            "time": "2025-11-04T14:24:36+00:00"
                        },
                        "updated_by": {
                            "user": {
                                "name": "tj_capillary",
                                "mobile": null,
                                "email": null
                            },
                            "ip": null,
                            "time": "2025-11-04T08:54:37+00:00"
                        }
                    }
                }
            ],
            "item_status": {
                "success": "true",
                "code": 9000,
                "message": "Request retrieved successfully"
            }
        }
    }
}
Query Params
string
enum
required
Allowed:
date
date
string
enum
Allowed:
string
enum
Allowed:
int64
int32
string
string
string
int64
string
string
int64
int64
string
enum
Allowed:
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json